Rivet: Rivet file-searching utils

| Rivet 3.1.9

Functions
Rivet file-searching utils

## Functions
bool | Rivet::fileexists (const std::string &path)
| Convenience function for determining if a filesystem path exists.

## Installation directory paths
std::string | Rivet::getLibPath ()
| Get library install path.
std::string | Rivet::getDataPath ()
| Get data install path.
std::string | Rivet::getRivetDataPath ()
| Get Rivet data install path.

## Analysis library search paths
std::vector< std::string > | Rivet::getAnalysisLibPaths ()
| Get Rivet analysis plugin library search paths.
void | Rivet::setAnalysisLibPaths (const std::vector< std::string > &paths)
| Set the Rivet analysis plugin library search paths.
void | Rivet::addAnalysisLibPath (const std::string &extrapath)
| Add a Rivet analysis plugin library search path.
std::string | Rivet::findAnalysisLibFile (const std::string &filename)
| Find the first file of the given name in the analysis library search dirs.

## Analysis data/metadata paths and search functions
std::vector< std::string > | Rivet::getAnalysisDataPaths ()
| Get Rivet analysis reference data search paths.
void | Rivet::setAnalysisDataPaths (const std::vector< std::string > &paths)
| Set the Rivet data file search paths.
void | Rivet::addAnalysisDataPath (const std::string &extrapath)
| Add a Rivet data file search path.
std::string | Rivet::findAnalysisDataFile (const std::string &filename, const std::vector< std::string > &pathprepend=std::vector< std::string >(), const std::vector< std::string > &pathappend=std::vector< std::string >())
| Find the first file of the given name in the general data file search dirs.
std::vector< std::string > | Rivet::getAnalysisRefPaths ()
| Get Rivet analysis reference data search paths.
std::string | Rivet::findAnalysisRefFile (const std::string &filename, const std::vector< std::string > &pathprepend=std::vector< std::string >(), const std::vector< std::string > &pathappend=std::vector< std::string >())
| Find the first file of the given name in the ref data file search dirs.
std::vector< std::string > | Rivet::getAnalysisInfoPaths ()
| Get Rivet analysis info metadata search paths.
std::string | Rivet::findAnalysisInfoFile (const std::string &filename, const std::vector< std::string > &pathprepend=std::vector< std::string >(), const std::vector< std::string > &pathappend=std::vector< std::string >())
| Find the first file of the given name in the analysis info file search dirs.
std::vector< std::string > | Rivet::getAnalysisPlotPaths ()
| Get Rivet analysis plot style search paths.
std::string | Rivet::findAnalysisPlotFile (const std::string &filename, const std::vector< std::string > &pathprepend=std::vector< std::string >(), const std::vector< std::string > &pathappend=std::vector< std::string >())
| Find the first file of the given name in the analysis plot file search dirs.

## Detailed Description

## Function Documentation

## ◆ findAnalysisDataFile()

std::string Rivet::findAnalysisDataFile | ( | const std::string & | filename,
|  | const std::vector< std::string > & | pathprepend = `std::vector< std::string >()`,
|  | const std::vector< std::string > & | pathappend = `std::vector< std::string >()`
| ) |  |

Find the first file of the given name in the general data file search dirs.

Note
  If none found, returns an empty string

Referenced by Rivet::Analysis::analysisDataPath().

## ◆ findAnalysisInfoFile()

std::string Rivet::findAnalysisInfoFile | ( | const std::string & | filename,
|  | const std::vector< std::string > & | pathprepend = `std::vector< std::string >()`,
|  | const std::vector< std::string > & | pathappend = `std::vector< std::string >()`
| ) |  |

Find the first file of the given name in the analysis info file search dirs.

Note
  If none found, returns an empty string

## ◆ findAnalysisLibFile()

std::string Rivet::findAnalysisLibFile | ( | const std::string & | filename | ) |

Find the first file of the given name in the analysis library search dirs.

Note
  If none found, returns an empty string

## ◆ findAnalysisPlotFile()

std::string Rivet::findAnalysisPlotFile | ( | const std::string & | filename,
|  | const std::vector< std::string > & | pathprepend = `std::vector< std::string >()`,
|  | const std::vector< std::string > & | pathappend = `std::vector< std::string >()`
| ) |  |

Find the first file of the given name in the analysis plot file search dirs.

Note
  If none found, returns an empty string

## ◆ findAnalysisRefFile()

std::string Rivet::findAnalysisRefFile | ( | const std::string & | filename,
|  | const std::vector< std::string > & | pathprepend = `std::vector< std::string >()`,
|  | const std::vector< std::string > & | pathappend = `std::vector< std::string >()`
| ) |  |

Find the first file of the given name in the ref data file search dirs.

Note
  If none found, returns an empty string